Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DTP » Datatools Install/Uninstall Problems
Datatools Install/Uninstall Problems [message #55449] Wed, 15 April 2009 13:12 Go to next message
Geoffry Roberts is currently offline Geoffry Roberts
Messages: 71
Registered: July 2009
Member
All,

There have been a few similar posts recently that seem to center on the
topic of install/uninstall problems wrt the set of datatools so I thought
I'd weigh in as well. I too am having problems.

Here's my question:
If I go in and delete the dtp related features and plug ins manually, will
I break anything else?

I tried to install the plugin for Google Web Toolkit 1.6 using their
update site and got the following error:

An error occurred while collecting items to be installed
Error closing the output stream for
org.eclipse.datatools.sqldevtools.data.feature/
org.eclipse.update.feature/1.6.2 ... The error message it goes on, full
text of the output is below.

I tried to uninstall dtp and got similar errors. So, I can't even get rid
of dtp.



FULL TEXT:

An error occurred while collecting items to be installed
Error closing the output stream for
org.eclipse.datatools.sqldevtools.data.feature/
org.eclipse.update.feature/1.6.2.v200810071455-3109oA55V589K 5QA5 on
repository file:/C:/Program Files/eclipse-ganymede/.
Error unzipping C:\DOCUME~1\groberts\LOCALS~1\Temp
\org.eclipse.datatools.sqldevtools.data.feature_1.6.2.v20081 0071455-3109oA55V589K5QA54838407210649109424.jar:
Invalid zip file format
Problems downloading artifact:
osgi.bundle,org.eclipse.datatools.sqltools.data.core,
1.1.0.v200901140930.
Exception connecting to
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.

http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
Exception connecting to
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.

http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
Re: Datatools Install/Uninstall Problems [message #55556 is a reply to message #55449] Wed, 15 April 2009 19:10 Go to previous messageGo to next message
Eclipse User
Originally posted by: brianf.sybase.com

Hey Geoffry...

Yeah... I know there are a ton of weird issues going on.

Couple of questions... 1) What version of Eclipse did you have prior to
using the Update Manager? 2) What version of DTP were you installing? 1.6.2?

As for dependencies.. WTP depends on DTP in some places. BIRT does too. I'm
not sure what the Google Web Toolkit uses.

--Fitz

"Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
news:1f6e6599405be037e4a92c22b798493a$1@www.eclipse.org...
> All,
>
> There have been a few similar posts recently that seem to center on the
> topic of install/uninstall problems wrt the set of datatools so I thought
> I'd weigh in as well. I too am having problems.
>
> Here's my question:
> If I go in and delete the dtp related features and plug ins manually, will
> I break anything else?
>
> I tried to install the plugin for Google Web Toolkit 1.6 using their
> update site and got the following error:
>
> An error occurred while collecting items to be installed
> Error closing the output stream for
> org.eclipse.datatools.sqldevtools.data.feature/
> org.eclipse.update.feature/1.6.2 ... The error message it goes on, full
> text of the output is below.
>
> I tried to uninstall dtp and got similar errors. So, I can't even get rid
> of dtp.
>
>
> FULL TEXT:
>
> An error occurred while collecting items to be installed
> Error closing the output stream for
> org.eclipse.datatools.sqldevtools.data.feature/
> org.eclipse.update.feature/1.6.2.v200810071455-3109oA55V589K 5QA5 on
> repository file:/C:/Program Files/eclipse-ganymede/.
> Error unzipping C:\DOCUME~1\groberts\LOCALS~1\Temp
> \org.eclipse.datatools.sqldevtools.data.feature_1.6.2.v20081 0071455-3109oA55V589K5QA54838407210649109424.jar:
> Invalid zip file format
> Problems downloading artifact:
> osgi.bundle,org.eclipse.datatools.sqltools.data.core,
> 1.1.0.v200901140930.
> Exception connecting to
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.
>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
> Exception connecting to
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.
>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>
Re: Datatools Install/Uninstall Problems [message #55662 is a reply to message #55556] Thu, 16 April 2009 12:35 Go to previous messageGo to next message
Geoffry Roberts is currently offline Geoffry Roberts
Messages: 71
Registered: July 2009
Member
On my problem machine, I'm running eclipse 3.4.2 and dtp 1.6.2.

On two other machines, its eclipse 3.4.0 and dtp 1.6.0; and GWT 1.6
installed with no problem.

Sounds like I need to roll back a version or two.

Brian Fitzpatrick wrote:

> Hey Geoffry...

> Yeah... I know there are a ton of weird issues going on.

> Couple of questions... 1) What version of Eclipse did you have prior to
> using the Update Manager? 2) What version of DTP were you installing? 1.6.2?

> As for dependencies.. WTP depends on DTP in some places. BIRT does too. I'm
> not sure what the Google Web Toolkit uses.

> --Fitz

> "Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
> news:1f6e6599405be037e4a92c22b798493a$1@www.eclipse.org...
>> All,
>>
>> There have been a few similar posts recently that seem to center on the
>> topic of install/uninstall problems wrt the set of datatools so I thought
>> I'd weigh in as well. I too am having problems.
>>
>> Here's my question:
>> If I go in and delete the dtp related features and plug ins manually, will
>> I break anything else?
>>
>> I tried to install the plugin for Google Web Toolkit 1.6 using their
>> update site and got the following error:
>>
>> An error occurred while collecting items to be installed
>> Error closing the output stream for
>> org.eclipse.datatools.sqldevtools.data.feature/
>> org.eclipse.update.feature/1.6.2 ... The error message it goes on, full
>> text of the output is below.
>>
>> I tried to uninstall dtp and got similar errors. So, I can't even get rid
>> of dtp.
>>
>>
>> FULL TEXT:
>>
>> An error occurred while collecting items to be installed
>> Error closing the output stream for
>> org.eclipse.datatools.sqldevtools.data.feature/
>> org.eclipse.update.feature/1.6.2.v200810071455-3109oA55V589K 5QA5 on
>> repository file:/C:/Program Files/eclipse-ganymede/.
>> Error unzipping C:DOCUME~1grobertsLOCALS~1Temp
>>
org.eclipse.datatools.sqldevtools.data.feature_1.6.2.v200810 071455-3109oA55V589K5QA54838407210649109424.jar:
>> Invalid zip file format
>> Problems downloading artifact:
>> osgi.bundle,org.eclipse.datatools.sqltools.data.core,
>> 1.1.0.v200901140930.
>> Exception connecting to
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.
>>
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>> Exception connecting to
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.
>>
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>
Re: Datatools Install/Uninstall Problems [message #56128 is a reply to message #55662] Fri, 01 May 2009 17:26 Go to previous messageGo to next message
Eclipse User
Originally posted by: brianf.sybase.com

Hi again...

We're trying to narrow down a reproducible scenario to try and figure out
what's going on. We've started to collect details here:

http://wiki.eclipse.org/DTP_1.6.2_Update_Manager_Issues

Please let us know if you find out anything else and we'll continue to bang
on this.

Thanks.
--Fitz

"Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
news:c38c905eb20a2fea56989d2354862ead$1@www.eclipse.org...
> On my problem machine, I'm running eclipse 3.4.2 and dtp 1.6.2.
>
> On two other machines, its eclipse 3.4.0 and dtp 1.6.0; and GWT 1.6
> installed with no problem.
>
> Sounds like I need to roll back a version or two.
>
> Brian Fitzpatrick wrote:
>
>> Hey Geoffry...
>
>> Yeah... I know there are a ton of weird issues going on.
>
>> Couple of questions... 1) What version of Eclipse did you have prior to
>> using the Update Manager? 2) What version of DTP were you installing?
>> 1.6.2?
>
>> As for dependencies.. WTP depends on DTP in some places. BIRT does too.
>> I'm not sure what the Google Web Toolkit uses.
>
>> --Fitz
>
>> "Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
>> news:1f6e6599405be037e4a92c22b798493a$1@www.eclipse.org...
>>> All,
>>>
>>> There have been a few similar posts recently that seem to center on the
>>> topic of install/uninstall problems wrt the set of datatools so I
>>> thought I'd weigh in as well. I too am having problems.
>>>
>>> Here's my question:
>>> If I go in and delete the dtp related features and plug ins manually,
>>> will I break anything else?
>>>
>>> I tried to install the plugin for Google Web Toolkit 1.6 using their
>>> update site and got the following error:
>>>
>>> An error occurred while collecting items to be installed
>>> Error closing the output stream for
>>> org.eclipse.datatools.sqldevtools.data.feature/
>>> org.eclipse.update.feature/1.6.2 ... The error message it goes on, full
>>> text of the output is below.
>>>
>>> I tried to uninstall dtp and got similar errors. So, I can't even get
>>> rid of dtp.
>>>
>>>
>>> FULL TEXT:
>>>
>>> An error occurred while collecting items to be installed
>>> Error closing the output stream for
>>> org.eclipse.datatools.sqldevtools.data.feature/
>>> org.eclipse.update.feature/1.6.2.v200810071455-3109oA55V589K 5QA5 on
>>> repository file:/C:/Program Files/eclipse-ganymede/.
>>> Error unzipping C:DOCUME~1grobertsLOCALS~1Temp
>>>
> org.eclipse.datatools.sqldevtools.data.feature_1.6.2.v200810 071455-3109oA55V589K5QA54838407210649109424.jar:
>>> Invalid zip file format
>>> Problems downloading artifact:
>>> osgi.bundle,org.eclipse.datatools.sqltools.data.core,
>>> 1.1.0.v200901140930.
>>> Exception connecting to
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.
>>>
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>> Exception connecting to
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar.
>>>
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>>
>
>
Re: Datatools Install/Uninstall Problems [message #511689 is a reply to message #55449] Tue, 02 February 2010 09:40 Go to previous message
Nathan Sowatskey is currently offline Nathan Sowatskey
Messages: 2
Registered: July 2009
Junior Member
Hi

I am having a problem getting 1.7.1 to work properly.

If I install in a Galileo classic and open the datatools perspective directly after I do the install and restart, it seems to work.

If I do the same, and I do not open the datatools perspective immediately, and install more plugins, then it doesn't work. What I see instead is that the ODA data sources only has the "Flat File Data Source" and that there are no database drivers.

Regards

Nathan
Re: Datatools Install/Uninstall Problems [message #595499 is a reply to message #55449] Wed, 15 April 2009 19:10 Go to previous message
Brian Fitzpatrick is currently offline Brian Fitzpatrick
Messages: 495
Registered: July 2009
Senior Member
Hey Geoffry...

Yeah... I know there are a ton of weird issues going on.

Couple of questions... 1) What version of Eclipse did you have prior to
using the Update Manager? 2) What version of DTP were you installing? 1.6.2?

As for dependencies.. WTP depends on DTP in some places. BIRT does too. I'm
not sure what the Google Web Toolkit uses.

--Fitz

"Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
news:1f6e6599405be037e4a92c22b798493a$1@www.eclipse.org...
> All,
>
> There have been a few similar posts recently that seem to center on the
> topic of install/uninstall problems wrt the set of datatools so I thought
> I'd weigh in as well. I too am having problems.
>
> Here's my question:
> If I go in and delete the dtp related features and plug ins manually, will
> I break anything else?
>
> I tried to install the plugin for Google Web Toolkit 1.6 using their
> update site and got the following error:
>
> An error occurred while collecting items to be installed
> Error closing the output stream for
> org.eclipse.datatools.sqldevtools.data.feature/
> org.eclipse.update.feature/1.6.2 ... The error message it goes on, full
> text of the output is below.
>
> I tried to uninstall dtp and got similar errors. So, I can't even get rid
> of dtp.
>
>
> FULL TEXT:
>
> An error occurred while collecting items to be installed
> Error closing the output stream for
> org.eclipse.datatools.sqldevtools.data.feature/
> org.eclipse.update.feature/1.6.2.v200810071455-3109oA55V589K 5QA5 on
> repository file:/C:/Program Files/eclipse-ganymede/.
> Error unzipping C:\DOCUME~1\groberts\LOCALS~1\Temp
> \org.eclipse.datatools.sqldevtools.data.feature_1.6.2.v20081 0071455-3109oA55V589K5QA54838407210649109424.jar:
> Invalid zip file format
> Problems downloading artifact:
> osgi.bundle,org.eclipse.datatools.sqltools.data.core,
> 1.1.0.v200901140930.
> Exception connecting to
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
> Exception connecting to
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>
Re: Datatools Install/Uninstall Problems [message #595537 is a reply to message #55556] Thu, 16 April 2009 12:35 Go to previous message
Geoffry Roberts is currently offline Geoffry Roberts
Messages: 71
Registered: July 2009
Member
On my problem machine, I'm running eclipse 3.4.2 and dtp 1.6.2.

On two other machines, its eclipse 3.4.0 and dtp 1.6.0; and GWT 1.6
installed with no problem.

Sounds like I need to roll back a version or two.

Brian Fitzpatrick wrote:

> Hey Geoffry...

> Yeah... I know there are a ton of weird issues going on.

> Couple of questions... 1) What version of Eclipse did you have prior to
> using the Update Manager? 2) What version of DTP were you installing? 1.6.2?

> As for dependencies.. WTP depends on DTP in some places. BIRT does too. I'm
> not sure what the Google Web Toolkit uses.

> --Fitz

> "Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
> news:1f6e6599405be037e4a92c22b798493a$1@www.eclipse.org...
>> All,
>>
>> There have been a few similar posts recently that seem to center on the
>> topic of install/uninstall problems wrt the set of datatools so I thought
>> I'd weigh in as well. I too am having problems.
>>
>> Here's my question:
>> If I go in and delete the dtp related features and plug ins manually, will
>> I break anything else?
>>
>> I tried to install the plugin for Google Web Toolkit 1.6 using their
>> update site and got the following error:
>>
>> An error occurred while collecting items to be installed
>> Error closing the output stream for
>> org.eclipse.datatools.sqldevtools.data.feature/
>> org.eclipse.update.feature/1.6.2 ... The error message it goes on, full
>> text of the output is below.
>>
>> I tried to uninstall dtp and got similar errors. So, I can't even get rid
>> of dtp.
>>
>>
>> FULL TEXT:
>>
>> An error occurred while collecting items to be installed
>> Error closing the output stream for
>> org.eclipse.datatools.sqldevtools.data.feature/
>> org.eclipse.update.feature/1.6.2.v200810071455-3109oA55V589K 5QA5 on
>> repository file:/C:/Program Files/eclipse-ganymede/.
>> Error unzipping C:DOCUME~1grobertsLOCALS~1Temp
>>
org.eclipse.datatools.sqldevtools.data.feature_1.6.2.v200810 071455-3109oA55V589K5QA54838407210649109424.jar:
>> Invalid zip file format
>> Problems downloading artifact:
>> osgi.bundle,org.eclipse.datatools.sqltools.data.core,
>> 1.1.0.v200901140930.
>> Exception connecting to
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>> Exception connecting to
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>
>>
http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>
Re: Datatools Install/Uninstall Problems [message #595677 is a reply to message #55662] Fri, 01 May 2009 17:26 Go to previous message
Brian Fitzpatrick is currently offline Brian Fitzpatrick
Messages: 495
Registered: July 2009
Senior Member
Hi again...

We're trying to narrow down a reproducible scenario to try and figure out
what's going on. We've started to collect details here:

http://wiki.eclipse.org/DTP_1.6.2_Update_Manager_Issues

Please let us know if you find out anything else and we'll continue to bang
on this.

Thanks.
--Fitz

"Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
news:c38c905eb20a2fea56989d2354862ead$1@www.eclipse.org...
> On my problem machine, I'm running eclipse 3.4.2 and dtp 1.6.2.
>
> On two other machines, its eclipse 3.4.0 and dtp 1.6.0; and GWT 1.6
> installed with no problem.
>
> Sounds like I need to roll back a version or two.
>
> Brian Fitzpatrick wrote:
>
>> Hey Geoffry...
>
>> Yeah... I know there are a ton of weird issues going on.
>
>> Couple of questions... 1) What version of Eclipse did you have prior to
>> using the Update Manager? 2) What version of DTP were you installing?
>> 1.6.2?
>
>> As for dependencies.. WTP depends on DTP in some places. BIRT does too.
>> I'm not sure what the Google Web Toolkit uses.
>
>> --Fitz
>
>> "Geoffry Roberts" <geoff.roberts@qinetiq-na.com> wrote in message
>> news:1f6e6599405be037e4a92c22b798493a$1@www.eclipse.org...
>>> All,
>>>
>>> There have been a few similar posts recently that seem to center on the
>>> topic of install/uninstall problems wrt the set of datatools so I
>>> thought I'd weigh in as well. I too am having problems.
>>>
>>> Here's my question:
>>> If I go in and delete the dtp related features and plug ins manually,
>>> will I break anything else?
>>>
>>> I tried to install the plugin for Google Web Toolkit 1.6 using their
>>> update site and got the following error:
>>>
>>> An error occurred while collecting items to be installed
>>> Error closing the output stream for
>>> org.eclipse.datatools.sqldevtools.data.feature/
>>> org.eclipse.update.feature/1.6.2 ... The error message it goes on, full
>>> text of the output is below.
>>>
>>> I tried to uninstall dtp and got similar errors. So, I can't even get
>>> rid of dtp.
>>>
>>>
>>> FULL TEXT:
>>>
>>> An error occurred while collecting items to be installed
>>> Error closing the output stream for
>>> org.eclipse.datatools.sqldevtools.data.feature/
>>> org.eclipse.update.feature/1.6.2.v200810071455-3109oA55V589K 5QA5 on
>>> repository file:/C:/Program Files/eclipse-ganymede/.
>>> Error unzipping C:DOCUME~1grobertsLOCALS~1Temp
>>>
> org.eclipse.datatools.sqldevtools.data.feature_1.6.2.v200810 071455-3109oA55V589K5QA54838407210649109424.jar:
>>> Invalid zip file format
>>> Problems downloading artifact:
>>> osgi.bundle,org.eclipse.datatools.sqltools.data.core,
>>> 1.1.0.v200901140930.
>>> Exception connecting to
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>>
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>> Exception connecting to
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>>
>>>
> http://download.eclipse.org/datatools/downloads/drops/N_upda tes/plugins/org.eclipse.datatools.sqltools.data.core_1.1.0.v 200901140930.jar
>>>
>
>
Re: Datatools Install/Uninstall Problems [message #597162 is a reply to message #55449] Tue, 02 February 2010 09:40 Go to previous message
Nathan Sowatskey is currently offline Nathan Sowatskey
Messages: 2
Registered: July 2009
Junior Member
Hi

I am having a problem getting 1.7.1 to work properly.

If I install in a Galileo classic and open the datatools perspective directly after I do the install and restart, it seems to work.

If I do the same, and I do not open the datatools perspective immediately, and install more plugins, then it doesn't work. What I see instead is that the ODA data sources only has the "Flat File Data Source" and that there are no database drivers.

Regards

Nathan
Previous Topic:SQLModel doesn't use containment references ?
Next Topic:Can't get JDBC connection to DB2
Goto Forum:
  


Current Time: Wed Jul 23 16:18:50 EDT 2014

Powered by FUDForum. Page generated in 0.01929 seconds